=== debian/control ===
Source: libwandio1
Priority: optional
Maintainer: Shane Alcock <shane.alcock@waikato.ac.nz>
Build-Depends: debhelper (>= 9), dh-autoreconf,
 zlib1g-dev, liblzma-dev, libbz2-dev,
 liblzo2-dev,  libcurl4-openssl-dev, liblz4-dev (>=0.0~r131),
 libzstd1-dev | libzstd-dev (>= 1)
Standards-Version: 4.1.3
Section: libs
Homepage: http://research.wand.net.nz/software/libwandio.php

Package: wandio1-tools
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: wandio-tools
Conflicts: wandio-tools
Description: example tools for the libwandio library
 This package contains some example tools to demonstrate the libwandio library.
 .
 libwandio is a file I/O library that will read and write both compressed and
 uncompressed files. All compression-related operations are performed in a
 separate thread where possible resulting in significant performance gains for
 tasks where I/O is the limiting factor (most simple trace analysis tasks are
 I/O-limited).
 .
 libwandio is developed by the WAND Network Research Group at Waikato
 University, New Zealand.

Package: libwandio1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-threaded file compression and decompression library
 File I/O library that will read and write both compressed and uncompressed
 files. All compression-related operations are performed in a separate thread
 where possible resulting in significant performance gains for tasks where I/O
 is the limiting factor (most simple trace analysis tasks are I/O-limited).
 .
 libwandio is developed by the WAND Network Research Group at Waikato
 University, New Zealand.

Package: libwandio1-dev
Section: libdevel
Architecture: any
Depends: libwandio1 (= ${binary:Version}), ${misc:Depends},
 ${shlibs:Depends}
Provides: libwandio-dev
Conflicts: libwandio-dev
Description: development headers for the libwandio library
 This package contains development headers and other ancillary files for
 the libwandio library.
 .
 libwandio is a file I/O library that will read and write both compressed and
 uncompressed files. All compression-related operations are performed in a
 separate thread where possible resulting in significant performance gains for
 tasks where I/O is the limiting factor (most simple trace analysis tasks are
 I/O-limited).
 .
 libwandio is developed by the WAND Network Research Group at Waikato
 University, New Zealand.
